




.section ".opd", "aw" ; .align 3; .global main ; main: .llong .main, .TOC.@tocbase, 0 ; .size main, 3*8
	.text ; .align 2
.global .main ; .type .main , @function ; .main:
	ld	11,_mFargc@got(2)
	ld	12,_mFargv@got(2)
	mflr	0
	stdu	1,-112(1)
	stw	3,0(11)			# _mFargc = argc;
	std	4,0(12)			# _mFargv = argv;
	std	0,16+112(1)
	ld	3,&mFNAME@got(2)
	.extern  	._mFgmain
	bl	._mFgmain		# _mFgmain(EntryPoint);
	nop
	ld	0,16+112(1)	# set up LR with return addr
	mtctr	0
	la	1,112(1)
	bctr				# }
tbtab:
	.long	0		# trace back table marker
	.byte	0		# version 0
	.byte	12		# assembler
	.byte	0x20		# has codelen
	.byte	0x41		# name present, saves LR
	.byte	0x80		# saves back chain, no FPR saved
	.byte	0		# no GPR saved
	.byte	3		# main() has 3 params
	.byte	0		# no FPR params, don't save param on stack
	.long	0		# all param fixed
	.long	tbtab - .main	# codelen
	.short	4
	.string "main"
	.align 2
